<?php
/**
* Color Settings.
*
* @package Dhimay
*/

$dhimay_default = dhimay_get_default_theme_options();

$wp_customize->add_setting( 'dhimay_primary_color',
    array(
    'default'           => $dhimay_default['dhimay_primary_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'dhimay_primary_color', 
    array(
        'label'      => esc_html__( 'Primary Color', 'dhimay' ),
        'section'    => 'colors',
        'settings'   => 'dhimay_primary_color',
    ) ) 
);

$wp_customize->add_setting( 'dhimay_secondary_color',
    array(
    'default'           => $dhimay_default['dhimay_secondary_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'dhimay_secondary_color', 
    array(
        'label'      => esc_html__( 'Secondary Color', 'dhimay' ),
        'section'    => 'colors',
        'settings'   => 'dhimay_secondary_color',
    ) ) 
);

$wp_customize->add_setting( 'dhimay_general_color',
    array(
    'default'           => $dhimay_default['dhimay_general_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'dhimay_general_color', 
    array(
        'label'      => esc_html__( 'General Color', 'dhimay' ),
        'section'    => 'colors',
        'settings'   => 'dhimay_general_color',
    ) ) 
);

$wp_customize->add_setting(
    'dhimay_premium_notice_color_schema',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new Dhimay_Premium_Notice_Control( 
        $wp_customize,
        'dhimay_premium_notice_color_schema',
        array(
            'label'      => esc_html__( 'Color Schemes', 'dhimay' ),
            'settings' => 'dhimay_premium_notice_color_schema',
            'section'       => 'color_scheme',
        )
    )
);


$wp_customize->add_setting(
    'dhimay_premium_notice_color',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new Dhimay_Premium_Notice_Control( 
        $wp_customize,
        'dhimay_premium_notice_color',
        array(
            'label'      => esc_html__( 'Color Options', 'dhimay' ),
            'settings' => 'dhimay_premium_notice_color',
            'section'       => 'colors',
        )
    )
);