<?php
/**
 * Default Values.
 *
 * @package Dhimay
 */

if ( ! function_exists( 'dhimay_get_default_theme_options' ) ) :

    /**
     * Get default theme options
     *
     * @since 1.0.0
     *
     * @return array Default theme options.
     */
    function dhimay_get_default_theme_options() {

        $dhimay_defaults = array();
        // Options.
        $dhimay_defaults['header_banner_title']                    = '';
        $dhimay_defaults['header_banner_sub_title']                = '';
        $dhimay_defaults['header_banner_button_label']             = '';
        $dhimay_defaults['logo_height_range']                       = 70;
        
        $dhimay_defaults['dhimay_pagination_layout']      = 'numeric';
        $dhimay_defaults['footer_column_layout']                       = 3;
        $dhimay_defaults['footer_copyright_text']                      = esc_html__( 'All rights reserved.', 'dhimay' );
        $dhimay_defaults['ed_header_search']                           = 1;
        $dhimay_defaults['ed_image_content_inverse']                   = 0;
        $dhimay_defaults['ed_related_post']                            = 1;
        $dhimay_defaults['related_post_title']                         = esc_html__('Related Post','dhimay');
        $dhimay_defaults['twp_navigation_type']                        = 'norma-navigation';
        $dhimay_defaults['ed_post_author']                             = 1;
        $dhimay_defaults['ed_post_date']                               = 1;
        $dhimay_defaults['ed_post_category']                           = 1;
        $dhimay_defaults['ed_post_tags']                               = 1;
        $dhimay_defaults['ed_floating_next_previous_nav']               = 1;
        $dhimay_defaults['ed_footer_copyright']                        = 1;

        // Default Color
        $dhimay_defaults['background_color']          = '#000';
        $dhimay_defaults['dhimay_primary_color']          = '#fff';
        $dhimay_defaults['dhimay_secondary_color']        = '#fbdb01';
        $dhimay_defaults['dhimay_general_color']        = '#fff';

        // Simple Color
        $dhimay_defaults['dhimay_primary_color_dark']          = '#007CED';
        $dhimay_defaults['dhimay_secondary_color_dark']        = '#fb7268';
        $dhimay_defaults['dhimay_general_color_dark']        = '#ffffff';

        // Fancy Color
        $dhimay_defaults['dhimay_primary_color_fancy']          = '#017eff';
        $dhimay_defaults['dhimay_secondary_color_fancy']        = '#fc9285';
        $dhimay_defaults['dhimay_general_color_fancy']        = '#455d58';


        $dhimay_defaults['ed_open_link_new_tab']                       = 0;
        $dhimay_defaults['ed_post_excerpt']                     = 1;

        // homepage section
        $dhimay_defaults['enable_event_block']                  = 0;
        $dhimay_defaults['events_block_title']                  = esc_html__( 'Upcoming Events', 'dhimay' );
        $dhimay_defaults['events_block_shortcode']              = '';
        $dhimay_defaults['event_section_bg_image']              = '';

        // featured page section
        $dhimay_defaults['enable_featured_page_block']                  = 0;

        // recent release page section
        $dhimay_defaults['enable_recent_release_block']                  = 0;

        // sticky audio
        $dhimay_defaults['featured_playlist_enable']                  = 0;
        $dhimay_defaults['featured_playlist_layout']                  = 'home-page';
        $dhimay_defaults['featured_playlist_shortcode']                  = wp_kses_post( '[playlist ids = "id1, id2"]');

        // video Post
        $dhimay_defaults['enable_video_cta_block']                  = 0;
        $dhimay_defaults['vidoe_cta_button_text']                  = esc_html__( 'Book Next Show', 'dhimay' );

        // Pass through filter.
        $dhimay_defaults = apply_filters( 'dhimay_filter_default_theme_options', $dhimay_defaults );

        return $dhimay_defaults;

    }

endif;
