<?php
/**
 * Pagination Settings
 *
 * @package Dhimay
 */

$dhimay_default = dhimay_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'dhimay_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'dhimay' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'		 => 'theme_option_panel',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'dhimay_pagination_layout',
	array(
	'default'           => $dhimay_default['dhimay_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'dhimay_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'dhimay' ),
	'section'     => 'dhimay_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method','dhimay'),
		'numeric' => esc_html__('Numeric Method','dhimay'),
		'load-more' => esc_html__('Ajax Load More Button','dhimay'),
		'auto-load' => esc_html__('Ajax Auto Load','dhimay'),
	),
	)
);