<?php
/**
* Widget FUnctions.
*
* @package Dhimay
*/

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */

function dhimay_widgets_init(){

    $dhimay_default = dhimay_get_default_theme_options();
    $footer_column_layout = absint( get_theme_mod( 'footer_column_layout',$dhimay_default['footer_column_layout'] ) );

    for( $i = 0; $i < $footer_column_layout; $i++ ){
    	
    	if( $i == 0 ){ $count = esc_html__('One','dhimay'); }
    	if( $i == 1 ){ $count = esc_html__('Two','dhimay'); }
    	if( $i == 2 ){ $count = esc_html__('Three','dhimay'); }

	    register_sidebar( array(
	        'name' => esc_html__('Footer Widget ', 'dhimay').$count,
	        'id' => 'dhimay-footer-widget-'.$i,
	        'description' => esc_html__('Add widgets here.', 'dhimay'),
	        'before_widget' => '<div id="%1$s" class="widget %2$s">',
	        'after_widget' => '</div>',
	        'before_title' => '<h2 class="widget-title">',
	        'after_title' => '</h2>',
	    ));
	}

}

add_action('widgets_init', 'dhimay_widgets_init');

/**
 * Widget Base Class.
 */
require get_template_directory() . '/inc/widgets/widget-base-class.php';
/**
 * Recent Post Widget.
 */
require get_template_directory() . '/inc/widgets/recent-post.php';
/**
 * Social Link Widget.
 */
require get_template_directory() . '/inc/widgets/social-link.php';
/**
 * Category Widget.
 */
require get_template_directory() . '/inc/widgets/category.php';