<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Dhimay
 * @since 1.0.0
 */
get_header(); ?>

    <?php if (is_front_page() && !is_paged()) { ?>
        <?php do_action('dhimay_action_recent_release_block'); ?>
        <?php do_action('dhimay_action_event_block'); ?>
        <?php do_action('dhimay_action_featured_page_block'); ?>
        <?php do_action('dhimay_action_video_cta_block'); ?>
    <?php } ?>

    <div class="theme-blocks theme-blocks-masonry">

        <div class="wrapper-small">
            <div class="wrapper-inner">
                <div class="column column-12">
                    <div class="theme-panelarea theme-panelarea-blocks">
                <?php             
                if (have_posts()):
    
                    $i = 1;
                    while (have_posts()) :
                        the_post();
    
                        ?>
                        <div class="theme-panel-blocks article-panel-blocks theme-article-main">
    
                        <?php
    
                        if( is_front_page() ){
    
                            if( $i == 1 ){
    
                                ?><div id="site-contentarea"></div><?php
    
                            }
    
                        }
                        
                        get_template_part('template-parts/content', get_post_format());
    
                        ?></div><?php
    
                        $i++;
                    endwhile;
    
                else :
    
                    get_template_part('template-parts/content', 'none');
    
                endif; ?>
    
            </div>

            <?php do_action('dhimay_archive_pagination'); ?>
                </div>
            </div>    
        </div>
        
    </div>

<?php get_footer();
