<?php
/**
 * The default template for displaying content
 *
 * Used for both singular and index.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Dhimay
 * @since 1.0.0
 */
$dhimay_default = dhimay_get_default_theme_options();
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('theme-article'); ?>>
        <div class="post-content">
            <header class="entry-header">
                <h2 class="entry-title entry-title-big">
                    <a href="<?php the_permalink(); ?>">
                        <?php the_title(); ?>
                    </a>
                </h2>
            </header>

            <?php if (has_post_thumbnail()) : ?>
                <div class="entry-thumbnail">
                    <a href="<?php the_permalink(); ?>">
                        <?php
                        the_post_thumbnail('medium_large', [
                            'alt' => get_the_title(),
                        ]);
                        ?>
                    </a>
                </div>
            <?php endif; ?>

            <?php dhimay_excerpt_content(); ?>
            <footer class="theme-article-footer">
                <div class="entry-meta">
                    <?php
                    dhimay_posted_by();
                    dhimay_posted_on();
                    ?>
                </div>
            </footer>
        </div>
</article>