<?php
/**
 * Header Layout 1
 *
 * @package Dhimay
 */
$dhimay_default = dhimay_get_default_theme_options();
$header_banner_title = get_theme_mod( 'header_banner_title',$dhimay_default['header_banner_title'] );
$header_banner_sub_title = get_theme_mod( 'header_banner_sub_title',$dhimay_default['header_banner_sub_title'] );
$header_banner_button_label = get_theme_mod( 'header_banner_button_label',$dhimay_default['header_banner_button_label'] );
$header_banner_button_link = get_theme_mod( 'header_banner_button_link');
$header_banner_sub_image = get_theme_mod( 'header_banner_sub_image');
$ed_open_link_new_tab = get_theme_mod( 'ed_open_link_new_tab');
?>
<div class="theme-blocks theme-hero-section">
    <div class="custom-header-media">
        <?php the_custom_header_markup(); ?>
    </div>

    <header id="site-header" class="header-layout" role="banner">
        <div class="wrapper">
            <div class="header-components-wrapper">
                <div class="header-components">
                    <div class="header-titles">
                        <?php
                        // Site title or logo.
                        dhimay_site_logo();
                        // Site description.
                        dhimay_site_description();
                        ?>
                    </div>
                </div>

                <div class="navbar-components">
                    <div class="site-navigation">
                        <nav class="primary-menu-wrapper" aria-label="<?php esc_attr_e('Horizontal', 'dhimay'); ?>"
                            role="navigation">
                            <ul class="primary-menu">
                                <?php
                                if (has_nav_menu('dhimay-primary-menu')) {
                                    wp_nav_menu(
                                        array(
                                            'container' => '',
                                            'items_wrap' => '%3$s',
                                            'theme_location' => 'dhimay-primary-menu',
                                             'depth' => 4,
                                        )
                                    );
                                } else {
                                    wp_list_pages(
                                        array(
                                            'match_menu_classes' => true,
                                            'show_sub_menu_icons' => true,
                                            'title_li' => false,
                                            'walker' => new Dhimay_Walker_Page(),
                                             'depth' => 4,
                                        )
                                    );
                                } ?>
                            </ul>
                        </nav><!-- .primary-menu-wrapper -->
                    </div><!-- .site-navigation -->
                </div>
                <!-- responsive menu -->
                <?php do_action('dhimay_asidebar_content_action'); ?>

            </div>
        </div>
    </header>
    <?php do_action('dhimay_asidebar_content_action'); ?>

    <?php if (is_front_page() || is_home()) { ?>
        <div class="theme-split-grid twp-header-banner">
            <?php if ($header_banner_sub_image) { ?>
                <div class="theme-grid-left">
                    <div class="theme-article-container">
                        <div class="theme-article-image">
                            <img src="<?php echo esc_url($header_banner_sub_image); ?>">
                        </div>
                    </div>
                </div>
            <?php } ?>

            <div class="theme-grid-right">
                <div class="theme-article-container">
                    
                    <div class="theme-article-content">
                        <header class="theme-article-header">
                            <h3 class="entry-title entry-title-large">

                                <a href="<?php echo esc_url(home_url()); ?>"> <?php echo esc_html($header_banner_title); ?> </a>
                            </h3>

                            <div class="theme-article-detail">
                                <?php if ($header_banner_sub_title) { ?>
                                    <div class="theme-article-excerpt">
                                        <?php echo esc_html($header_banner_sub_title); ?>
                                    </div>
                                <?php } ?>
                                <?php if ($header_banner_button_label) { ?>

                                    <a href="<?php echo esc_url($header_banner_button_link) ?>" class="entry-meta entry-meta-link"  <?php if ($ed_open_link_new_tab) { ?> target="_blank" <?php } ?>>
                                        <div class="meta-link-content">
                                            <span>
                                            <?php echo esc_html($header_banner_button_label); ?>
                                        </span>
                                        <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20"><path fill="currentColor" d="M16.172 9l-6.071-6.071 1.414-1.414 8.485 8.485-8.485 8.485-1.414-1.414 6.071-6.071h-16.172v-2z"></path></svg>
                                        </div>
                                    </a>
                                <?php } ?>
                            </div>
                        </header>
                    </div>
                </div>
            </div>

            <div class="scroll-container">
                <div class="scroller"></div>
            </div>
        </div>
    <?php } elseif (is_archive()) { ?>
        <div id="site-contentarea" class="theme-panel-blocks theme-header-panel archive-breadcrumb-panel">
            <div class="theme-panel-header">

                <?php dhimay_breadcrumb(); ?>
                <?php dhimay_archive_title(); ?>

            </div>
        </div>
    <?php } elseif (is_search()){ ?>

        <div id="site-contentarea" class="theme-panel-blocks theme-header-panel archive-breadcrumb-panel">
            <div class="theme-panel-header">

                <?php dhimay_breadcrumb(); ?>
                <?php dhimay_archive_title(); ?>

            </div>
        </div>
    <?php } elseif (is_single()) { ?>
       <div class="theme-banner-detail">
            <?php dhimay_breadcrumb(); ?>

        <header class="entry-header">

            <h1 class="entry-title entry-title-large">

                <?php the_title(); ?>

            </h1>
        </header>

        <div class="entry-meta theme-meta-categories">
            <?php dhimay_entry_footer( $cats = true, $tags = false, $edits = false ); ?>
        </div>

        <div class="entry-meta">
            <?php
            dhimay_posted_on();
            ?>
        </div>
       </div>

    <?php } elseif(is_page()) {?>
        <div class="theme-banner-detail">
            <header class="entry-header">
                <h1 class="entry-title entry-title-large">
                    <?php the_title(); ?>
                </h1>
            </header>

            <div class="entry-meta">
                <?php dhimay_posted_on();?>
            </div>
        </div>
    <?php } ?>
    <?php if (!is_404()) {
        echo '</div>'; 
    } ?>



